Package com.independentsoft.office.spreadsheet.queryTables

# Class QueryTableField

java.lang.Object
com.independentsoft.office.spreadsheet.queryTables.QueryTableField

public class QueryTableField extends Object
The Class QueryTableField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryTableField()`
  Instantiates a new query table field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryTableField`
  `clone()`
  `int`
  `getID()`
  Gets the id.
  `String`
  `getName()`
  Gets the name.
  `int`
  `getTableColumnID()`
  Gets the table column id.
  `boolean`
  `isClippedColumn()`
  Checks if is clipped column.
  `boolean`
  `isContainsRowNumbers()`
  Checks if is contains row numbers.
  `boolean`
  `isDataBoundColumn()`
  Checks if is data bound column.
  `boolean`
  `isFillFormulaOnRefresh()`
  Checks if is fill formula on refresh.
  `void`
  `setClippedColumn​(boolean isClippedColumn)`
  Sets the clipped column.
  `void`
  `setContainsRowNumbers​(boolean containsRowNumbers)`
  Sets the contains row numbers.
  `void`
  `setDataBoundColumn​(boolean isDataBoundColumn)`
  Sets the data bound column.
  `void`
  `setFillFormulaOnRefresh​(boolean fillFormulaOnRefresh)`
  Sets the fill formula on refresh.
  `void`
  `setID​(int id)`
  Sets the id.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setTableColumnID​(int tableColumnID)`
  Sets the table column id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QueryTableField

    public QueryTableField()
    Instantiates a new query table field.

- ## Method Details

  - ### clone

    public QueryTableField clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isClippedColumn

    public boolean isClippedColumn()
    Checks if is clipped column.
    Returns:
      true, if is clipped column

  - ### setClippedColumn

    public void setClippedColumn​(boolean isClippedColumn)
    Sets the clipped column.
    Parameters:
      `isClippedColumn` - the new clipped column

  - ### isDataBoundColumn

    public boolean isDataBoundColumn()
    Checks if is data bound column.
    Returns:
      true, if is data bound column

  - ### setDataBoundColumn

    public void setDataBoundColumn​(boolean isDataBoundColumn)
    Sets the data bound column.
    Parameters:
      `isDataBoundColumn` - the new data bound column

  - ### isFillFormulaOnRefresh

    public boolean isFillFormulaOnRefresh()
    Checks if is fill formula on refresh.
    Returns:
      true, if is fill formula on refresh

  - ### setFillFormulaOnRefresh

    public void setFillFormulaOnRefresh​(boolean fillFormulaOnRefresh)
    Sets the fill formula on refresh.
    Parameters:
      `fillFormulaOnRefresh` - the new fill formula on refresh

  - ### getID

    public int getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(int id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isContainsRowNumbers

    public boolean isContainsRowNumbers()
    Checks if is contains row numbers.
    Returns:
      true, if is contains row numbers

  - ### setContainsRowNumbers

    public void setContainsRowNumbers​(boolean containsRowNumbers)
    Sets the contains row numbers.
    Parameters:
      `containsRowNumbers` - the new contains row numbers

  - ### getTableColumnID

    public int getTableColumnID()
    Gets the table column id.
    Returns:
      the table column id

  - ### setTableColumnID

    public void setTableColumnID​(int tableColumnID)
    Sets the table column id.
    Parameters:
      `tableColumnID` - the new table column id